from pydantic import BaseModel

class MenuEventBase(BaseModel):
    uniacid: int
    keyword: str
    type: str
    picmd5: str
    openid: str
    createtime: int

class MenuEventCreate(MenuEventBase):
    pass

class MenuEventUpdate(MenuEventBase):
    pass

class MenuEvent(MenuEventBase):
    id: int

    class Config:
        orm_mode = True