from pydantic import BaseModel

class MusicReplyBase(BaseModel):
    Rid: int
    Title: str
    Description: str
    Url: str
    Hqurl: str

class MusicReplyCreate(MusicReplyBase):
    pass

class MusicReply(MusicReplyBase):
    Id: int

    class Config:
        orm_mode = True