from pydantic import BaseModel

class RuleKeywordBase(BaseModel):
    Rid: int
    Uniacid: int
    Module: str
    Content: str
    Type: int
    Displayorder: int
    Status: int

class RuleKeywordCreate(RuleKeywordBase):
    pass

class RuleKeyword(RuleKeywordBase):
    Id: int

    class Config:
        orm_mode = True