from sqlalchemy import Column, Integer, String, Text
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class MusicReply(Base):
    __tablename__ = "music_reply"

    Id = Column(Integer, primary_key=True, index=True)
    Rid = Column(Integer, nullable=False)
    Title = Column(String(50), nullable=False)
    Description = Column(String(255), nullable=False)
    Url = Column(String(300), nullable=False)
    Hqurl = Column(String(300), nullable=False)